CVE-2009-1381

MEDIUM

Description

The map_yp_alias function in functions/imap_general.php in SquirrelMail before 1.4.19-1 on Debian GNU/Linux, and possibly other operating systems and versions, allows remote attackers to execute arbitrary commands via shell metacharacters in a username string that is used by the ypmatch program. NOTE: this issue exists because of an incomplete fix for CVE-2009-1579.

References

http://release.debian.org/proposed-updates/stable_diffs/squirrelmail_1.4.15-4+lenny2.debdiff

http://secunia.com/advisories/35140

http://www.debian.org/security/2009/dsa-1802

http://www.mandriva.com/security/advisories?name=MDVSA-2009:122

http://www.securityfocus.com/archive/1/503718/100/0/threaded

https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01195.html

https://www.redhat.com/archives/fedora-package-announce/2009-May/msg01202.html

Details

Source: MITRE

Published: 2009-05-22

Updated: 2018-10-10

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM